import request from '@/utils/request'

// 查询发布列表列表
export function listPublish(query) {
  return request({
    url: '/deployment/publish/list',
    method: 'get',
    params: query
  })
}

// 查询发布列表详细
export function getPublish(id) {
  return request({
    url: '/deployment/publish/' + id,
    method: 'get'
  })
}

// 新增发布列表
export function addPublish(data) {
  return request({
    url: '/deployment/publish',
    method: 'post',
    data: data
  })
}

// 修改发布列表
export function updatePublish(data) {
  return request({
    url: '/deployment/publish',
    method: 'put',
    data: data
  })
}

// 删除发布列表
export function delPublish(id) {
  return request({
    url: '/deployment/publish/' + id,
    method: 'delete'
  })
}
